> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List standings

> ListStandings

 Returns list of standings based on specified parameters.



## OpenAPI

````yaml get /cms/standings/v1
openapi: 3.0.3
info:
  title: Studio API - Motto
  version: 0.0.0
servers:
  - url: https://api.mottostreaming.com
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: AccountService
    description: Account management service
  - name: ActionConfigurationService
    description: Action configuration service definition
  - name: ActionSecretService
    description: Action type service definition
  - name: ActionService
    description: Action service definition
  - name: ActionTypeService
    description: Action type service definition
  - name: ActivityService
    description: Activity service definition
  - name: AdService
    description: Ad management service.
  - name: AnnotationService
    description: Annotation service definition
  - name: AnnotationSetService
    description: Annotation service definition
  - name: AnnotationTypeService
    description: Annotation service definition
  - name: AssetService
    description: Asset management service.
  - name: AuthService
    description: Auth service definition
  - name: BannerService
    description: Banner service definition
  - name: BannerV2Service_v2
    description: Banner service definition
  - name: CleengService
    description: CleengService service definition
  - name: ClipService
    description: ClipService is the service that handles Clip operations.
  - name: ConfigurationService
    description: >-
      Configuration management service. These configurations allow modifying the
      behavior of streams, uploads, simulcasts, etc.
  - name: ContentTypeService
    description: ContentType service definition
  - name: CreativeWorkService
    description: CreativeWork service definition
  - name: EntitlementService
    description: Entitlement service definition
  - name: EntityService
    description: Entity service definition
  - name: EventService
    description: Event service definition
  - name: FileService
    description: OTT files management.
  - name: IngestService
    description: Ingest management service.
  - name: IngestService_v2
    description: Ingest management service.
  - name: LiveStreamService
    description: LiveStream management service.
  - name: LiveStreamService_v2
    description: LiveStream management service.
  - name: OfferService
    description: Offer service definition
  - name: OrganizationService
    description: Organization management service.
  - name: PageService
    description: Page service definition
  - name: PlatformService
    description: Platform service definition
  - name: PlaylistService
    description: Playlist management service.
  - name: ProjectService
    description: Project management service.
  - name: SimulcastService
    description: Simulcast management service.
  - name: SlugService
    description: Slug service definition
  - name: SpiideoService
    description: SpiideoService service definition
  - name: StandingService
    description: Standing service definition
  - name: StitcherService
    description: StitcherService is the service that handles stitching operations.
  - name: StripeService
    description: StripeService service definition
  - name: SubscriptionService
    description: Subscription service definition
  - name: SubtitleService
    description: SubtitleService is the service that handles Subtitle operations.
  - name: TransactionService
    description: Transaction service definition
  - name: UploadService
    description: Upload management service.
  - name: UsageService
    description: The UsageService provides methods to retrieve usage data for SKUs.
  - name: UserService
    description: User management service
  - name: VODService
    description: VODService is the service that handles VOD operations.
  - name: VODService_v2
    description: VODService is the service that handles VOD operations.
  - name: VideoProtectionService
    description: VideoProtection management service.
  - name: VideoProtectionService_v2
    description: VideoProtection management service.
  - name: VideoService
    description: Video management service.
paths:
  /cms/standings/v1:
    get:
      tags:
        - StandingService
      description: |-
        ListStandings

         Returns list of standings based on specified parameters.
      operationId: StandingService_ListStandings
      parameters:
        - name: page_size
          in: query
          description: Maximum number of records to return
          schema:
            type: integer
            format: int32
        - name: project_id
          in: query
          required: true
          schema:
            type: string
        - name: filter
          in: query
          description: >-
            Filter the result-set by properties using a subset of the Kibana
            Query Language.
             Currently not supported; will be implemented in the future.
          schema:
            type: string
        - name: order_by
          in: query
          description: |-
            Specifies the result ordering for List requests.
             Currently not supported; will be implemented in the future.
          schema:
            type: string
        - name: page_token
          in: query
          description: The pagination token in the List request.
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/motto.cms.standing.v1.ListStandingsResponse
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/google.rpc.Status'
components:
  schemas:
    motto.cms.standing.v1.ListStandingsResponse:
      type: object
      properties:
        standings:
          type: array
          items:
            $ref: '#/components/schemas/motto.cms.standing.v1.Standing'
        next_page_token:
          type: string
          description: |-
            The pagination token that should be used to get next page results.
             An empty value means no more results
    google.rpc.Status:
      type: object
      properties:
        code:
          type: integer
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
        details:
          type: array
          items:
            $ref: '#/components/schemas/google.protobuf.Any'
          description: >-
            A list of messages that carry the error details.  There is a common
            set of message types for APIs to use.
      description: >-
        The `Status` type defines a logical error model that is suitable for
        different programming environments, including REST APIs and RPC APIs. It
        is used by [gRPC](https://github.com/grpc). Each `Status` message
        contains three pieces of data: error code, error message, and error
        details. You can find out more about this error model and how to work
        with it in the [API Design
        Guide](https://cloud.google.com/apis/design/errors).
    motto.cms.standing.v1.Standing:
      required:
        - project_id
        - entity_id
        - entity_type
        - mode
        - standing_phase_ids
      type: object
      properties:
        id:
          readOnly: true
          type: string
          description: System generated unique identifier for the standings object.
        project_id:
          type: string
        entity_id:
          type: string
          description: >-
            The CMS entity that is primarily associated with this standing. This
            is typically an entity of type competition or season.
        entity_type:
          type: string
          description: >-
            The CMS entity type that is primarily associated with this standing.
            This is typically something like a competition or
             season.
        mode:
          enum:
            - MODE_UNSPECIFIED
            - MODE_MANUAL
            - MODE_COMPUTED
          type: string
          format: enum
        applies_through:
          type: string
          description: >-
            The date and time until which this standing is valid. After this
            time, the standing may be considered outdated.
             Can be left empty, in which case it is not displayed to end users.
          format: date-time
        standing_phase_ids:
          type: array
          items:
            type: string
          description: The standing phases that are part of this standing.
      description: >-
        An event happening at a certain time and location, such as a sports
        game, concert, lecture, or festival.
    google.protobuf.Any:
      type: object
      properties:
        '@type':
          type: string
          description: The type of the serialized message.
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````